4WS Suite
Home
API Reference
API Reference
  • Data mangement API
  • Documents API
Home
API Reference
API Reference
  • Data mangement API
  • Documents API
Fourwayshop
  1. Product
  • Login
    • login
      POST
  • Product
    • Brand
      • Get All Brands
      • Get A Brand
      • Insert brand
      • Update brand
    • Season
      • Get All Seasons
      • Get A Season
      • Insert season
      • Update season
    • Attribute
      • Get All Attribute Types
      • Get Attribute Type
      • Get Attribute
      • Insert attribute
      • Update attribute
    • Hierarchy
      • Insert hierarchy
      • Update hierarchy
    • Dimension groups
      • Insert dimension group
      • Update dimension group
    • Dimension
      • Insert dimension
      • Update dimension
      • Delete dimension
    • Product
      • Get products
        GET
      • Get product
        GET
      • Get product grouping
        GET
      • Get SKU's barcodes
        GET
      • Get product stock
        GET
      • Insert product
        POST
      • Update product
        PATCH
    • Activate dimensions on products
      • Insert active dimensions
      • Delete active dimensions
    • Barcode
      • Get SKU from barcode
      • Generate missing barcodes
      • Generate missing barcode for SKU
      • Insert barcode
      • Delete barcode
    • Prices
      • Get product prices
    • Price dimension groupings
      • Get Dimension Price Grouping
      • Get All Dimension Price Grouping
      • Insert dimension grouping
      • Update dimension grouping
      • Delete dimension grouping
    • Assortment
      • insert product assortment
      • delete product assortment
    • Image
      • Get images
      • Add image
      • Replace image
      • Delete image
    • Supplier
      • Get Item suppliers
      • Insert item supplier
      • Delete item supplier
      • Update item supplier
    • Custom category
      • Get Custom code
      • Insert Custom code
      • Update Custom code
    • Vat
      • Vat types
        • Get VAT type
        • Get VAT types
      • VATs
        • Get VATs
        • Get VATs by type
        • Get VAT
      • Vat rates
        • Get VAT rates
        • Get single VAT rates
    • Stock
      • Insert stock
      • Get stock
  • Price lists
    • Get All Price Lists
      GET
    • Get Single Price List
      GET
    • Get Prices by Price List Type
      GET
    • Get Prices by Price List Code
      GET
    • Get Entities by Price List Code
      GET
    • Insert Price List
      POST
    • Insert Product Price
      POST
    • Insert Entity On Price Lists
      POST
    • Update price list
      PATCH
    • Delete all product prices
      DELETE
    • Delete single product price
      DELETE
    • Delete entity from a price lists
      DELETE
    • Update Product price
      PATCH
  • Supplier
    • Supplier contacts
    • Supplier addresses
    • Get Suppliers
    • Get A Specific Supplier
    • Insert supplier
    • Update supplier
  • Entities
    • Get entities
    • Get entity
    • Insert entity
    • Update entity
  • Miscellaneous
    • Get requests rate limits
  • Catalog
    • Get Catalogs details
    • Get Catalog details by Code
    • Get products by Catalog Code
  • Export
    • Get bulk CSV Export
  1. Product

Get product

GET
/api/v1/products/{ITEM_CODE}
Last modified:2026-10-27 14:07:07

Retrieve a Specific Product from 4ws.trade#

The external system needs to retrieve the details of a specific product from 4ws.trade using the product code ({ITEM_CODE}). The response includes the product master data, such as descriptions, VAT, season, brand, hierarchies, attributes, dimension groups and packaging.
Prices and barcodes are not included in the response: to retrieve them use Get product prices (or Get prices from price list) and Get SKU's barcodes.

Actors#

API Client: The system or user initiating the request.
4ws.trade: The backend system that processes the request.

Preconditions#

The product code provided must exist in 4ws.trade.
The external system must have the necessary permissions and access to the service, please refer to Authentication.

Main Success Scenario#

If the product exists, the system returns an HTTP 200 response with the product details in the response body.
Example Success Response:
{
  "product": {
    "prog_id": 10726794,
    "item_code": "ex non esse sit nulla",
    "item_type": "PRODUCT",
    "item_subtype": "ITEM",
    "price_management_type": "ITEM",
    "vat_code": "4",
    "vat_department": 1,
    "tax_rate": "22",
    "description_it": "velit",
    "description_en": "est ea occaecat",
    "shop_description_it": "adipisicing deserunt dolor voluptate",
    "shop_description_en": "esse in sed",
    "season_code": null,
    "season": "occaecat ad",
    "year": null,
    "season_sale_code": null,
    "season_sale": null,
    "season_sale_year": null,
    "brand_code": "cillum",
    "brand": "cillum",
    "made_in": null,
    "main_supplier_code": "non",
    "main_supplier": "culpa ut Lorem sint",
    "item_supplier_code": null,
    "hierarchy_level1": "probident",
    "hierarchy_level2": "proident Ut consectetur in",
    "hierarchy_level3": null,
    "hierarchy_level4": null,
    "hierarchy_level5": null,
    "hierarchy_level6": null,
    "hierarchy_level7": null,
    "hierarchy_level8": null,
    "hierarchy_level9": null,
    "hierarchy_level10": null,
    "attribute_level1": null,
    "attribute_level2": null,
    "attribute_level3": "ea do",
    "attribute_level4": null,
    "attribute_level5": "nisi veniam Duis dolore adipisicing",
    "attribute_level6": null,
    "attribute_level7": null,
    "attribute_level8": null,
    "attribute_level9": null,
    "attribute_level10": null,
    "dimension_group1": "incididunt",
    "dimension_group2": null,
    "dimension_group3": null,
    "dimension_group4": null,
    "dimension_group5": null,
    "minimum_pack": null,
    "measure_unit": null,
    "item_heigth": null,
    "item_width": null,
    "item_depth": null,
    "pack_heigth": null,
    "pack_width": null,
    "pack_depth": null,
    "set_item": null,
    "set_quantity": null,
    "exposition_type": null,
    "enabled_discount": false,
    "enabled_sale": null,
    "free_promotion": true,
    "free_sale": null,
    "manual_cost": null,
    "tailor_selection": null,
    "packages": "ullamco",
    "packages_hanging": "in ut",
    "weight": 335,
    "customs_category": null
  }
}

Alternate Flows#

1.
Product Not Found:
If the product code does not exist in 4ws.trade, the system returns an HTTP 422 error response.
Example Error Response:
{
  "message": "Product not found"
}
2.
Invalid Product Code Format:
If the product code format is incorrect or invalid, the system may return an HTTP 400 Bad Request with a detailed error message.
Best Practices
Please refer to Best Practices for Error Handling in External System for best practices on implementation.

Sequence Diagram#

Code Examples in Node.js#

This Node.js code retrieves the details of a product from 4ws.trade by sending a GET request and handles both successful and error responses.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/products/MY_TSHIRT_1' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "product": {
        "prog_id": 10726794,
        "item_code": "ex non esse sit nulla",
        "item_type": "PRODUCT",
        "item_subtype": "ITEM",
        "price_management_type": "ITEM",
        "vat_code": "4",
        "vat_department": 1,
        "tax_rate": "22",
        "description_it": "velit",
        "description_en": "est ea occaecat",
        "shop_description_it": "adipisicing deserunt dolor voluptate",
        "shop_description_en": "esse in sed",
        "season_code": null,
        "season": "occaecat ad",
        "year": null,
        "season_sale_code": null,
        "season_sale": null,
        "season_sale_year": null,
        "brand_code": "cillum",
        "brand": "cillum",
        "made_in": null,
        "main_supplier_code": "non",
        "main_supplier": "culpa ut Lorem sint",
        "item_supplier_code": null,
        "hierarchy_level1": "probident",
        "hierarchy_level2": "proident Ut consectetur in",
        "hierarchy_level3": null,
        "hierarchy_level4": null,
        "hierarchy_level5": null,
        "hierarchy_level6": null,
        "hierarchy_level7": null,
        "hierarchy_level8": null,
        "hierarchy_level9": null,
        "hierarchy_level10": null,
        "attribute_level1": null,
        "attribute_level2": null,
        "attribute_level3": "ea do",
        "attribute_level4": null,
        "attribute_level5": "nisi veniam Duis dolore adipisicing",
        "attribute_level6": null,
        "attribute_level7": null,
        "attribute_level8": null,
        "attribute_level9": null,
        "attribute_level10": null,
        "dimension_group1": "incididunt",
        "dimension_group2": null,
        "dimension_group3": null,
        "dimension_group4": null,
        "dimension_group5": null,
        "minimum_pack": null,
        "measure_unit": null,
        "item_heigth": null,
        "item_width": null,
        "item_depth": null,
        "pack_heigth": null,
        "pack_width": null,
        "pack_depth": null,
        "set_item": null,
        "set_quantity": null,
        "exposition_type": null,
        "enabled_discount": false,
        "enabled_sale": null,
        "free_promotion": true,
        "free_sale": null,
        "manual_cost": null,
        "tailor_selection": null,
        "packages": "ullamco",
        "packages_hanging": "in ut",
        "weight": 335,
        "customs_category": null
    }
}
🟠422Product not found
🟠403Operation not allowed
🟠401Authentication failed
Modified at 2026-10-27 14:07:07
Previous
Get products
Next
Get product grouping
Built with